rsop-change-key-password(1)

NAME
rsop-change-key-password - Updates a key's password

SYNOPSIS
rsop change-key-password [--no-armor] [--new-key-password] [--old-key-password] [--debug] [-h|--help]

DESCRIPTION
Updates a key's password.

The output will be the same set of OpenPGP Transferable Secret Keys as the input, but with all secret key material locked according to the password indicated by the `--new-key-password` option (or, with no password at all, if `--new-key-password` is absent). Note that `--old-key-password` can be supplied multiple times, and each supplied password will be tried as a means to unlock any locked key material encountered. It will normalize a Transferable Secret Key to use a single password even if it originally had distinct passwords locking each of the subkeys.

If any secret key packet is locked but cannot be unlocked with any of the supplied `--old-key-password` arguments, this subcommand should fail with `KEY_IS_PROTECTED`.

OPTIONS

--no-armor
    Don't ASCII-armor output

--new-key-password=NEW_KEY_PASSWORD
    The new password to lock the key with, or just unlock the key if the option is absent

--old-key-password=OLD_KEY_PASSWORD
    Unlock the keys with these passwords

--debug
    Emit verbose output for debugging

-h, --help
    Print help (see a summary with '-h')